For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
      • POSTCreate ATS Candidate
      • POSTCreate candidate tags
      • GETRetrieve paginated list of ATS Candidates
LogoLogo
SupportDeel Home
ATS EndpointsAts Candidates

Create ATS Candidate

POST
/ats/candidates
POST
/rest/v2/ats/candidates
$curl -X POST https://api.letsdeel.com/rest/v2/ats/candidates \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "email": "john.doe@example.com",
> "last_name": "Doe",
> "first_name": "John"
> }
>}'
1{
2 "data": {
3 "id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
4 "email": "john.doe@example.com",
5 "last_name": "Doe",
6 "created_at": "2024-01-01T00:00:00Z",
7 "first_name": "John",
8 "numeric_id": 123,
9 "updated_at": "2024-01-01T00:00:00Z",
10 "source": "LINKEDIN",
11 "pic_url": "https://example.com/pic.jpg",
12 "imported_id": "ext-123",
13 "phone_number": "+1234567890",
14 "anonymized_at": "2024-01-01T00:00:00Z",
15 "import_session_id": "session-123",
16 "final_archivation_at": "2024-01-01T00:00:00Z",
17 "linkedin_profile_url": "https://linkedin.com/in/johndoe"
18 }
19}

Creates a new candidate record in the ATS and returns the candidate with their unique identifier, which can then be used to link the candidate to job applications. Token scopes: ats:write

Was this page helpful?
Previous

Create candidate tags

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful response with candidate data
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication